#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Unicode
%define		pnam	LineBreak
Summary:	Unicode::LineBreak - UAX #14 Unicode Line Breaking Algorithm
Summary(pl.UTF-8):	Unicode::LineBreak - algorytm łamiania linii w Unikodzie UAX #14
Name:		perl-Unicode-LineBreak
Version:	2018.003
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Unicode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	736dcb04f6a250bd28e4279f2b8592af
URL:		http://search.cpan.org/dist/Unicode-LineBreak/
BuildRequires:	libthai-devel >= 0.1.9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sombok-devel >= 2.4.0
BuildRequires:	sombok-devel < 3
%if %{with tests}
BuildRequires:	perl-Encode >= 1:1.98
BuildRequires:	perl-MIME-Charset >= 1.006.2
%endif
Requires:	sombok >= 2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::LineBreak performs Line Breaking Algorithm described in
Unicode Standard Annex #14 [UAX #14]. East_Asian_Width informative
property defined by Annex #11 [UAX #11] will be concerned to determine
breaking positions.

%description -l pl.UTF-8
Unicode::LineBreak wykonuje algorytm łamania linii opisany w
dokumencie Unicode Standard Annex #14 (UAX #14). Przy określaniu
miejsc łamania brana jest pod uwagę własność informacyjna
East_Asian_Width zdefiniowana w dokumencie Annex #11 (UAX #11).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Unicode/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/POD2/JA/Text/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/POD2/JA/Unicode/*.pod

install -d $RPM_BUILD_ROOT%{_mandir}/ja/man3
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man3/POD2::JA::Text::LineFold.3pm $RPM_BUILD_ROOT%{_mandir}/ja/man3/Text::LineFold.3pm
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man3/POD2::JA::Unicode::GCString.3pm $RPM_BUILD_ROOT%{_mandir}/ja/man3/Unicode::GCString.3pm
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man3/POD2::JA::Unicode::LineBreak.3pm $RPM_BUILD_ROOT%{_mandir}/ja/man3/Unicode::LineBreak.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/auto/Unicode/LineBreak
%attr(755,root,root) %{perl_vendorarch}/auto/Unicode/LineBreak/LineBreak.so
%{perl_vendorarch}/Text/LineFold.pm
%{perl_vendorarch}/Unicode/GCString.pm
%{perl_vendorarch}/Unicode/LineBreak.pm
%dir %{perl_vendorarch}/Unicode/LineBreak
%{perl_vendorarch}/Unicode/LineBreak/Constants.pm
%{_mandir}/man3/Text::LineFold.3pm*
%{_mandir}/man3/Unicode::GCString.3pm*
%{_mandir}/man3/Unicode::LineBreak.3pm*
%lang(ja) %{_mandir}/ja/man3/Text::LineFold.3pm*
%lang(ja) %{_mandir}/ja/man3/Unicode::GCString.3pm*
%lang(ja) %{_mandir}/ja/man3/Unicode::LineBreak.3pm*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Unicode-LineBreak.git;a=log;h=2299b6d101fc5bbf941acc60b6494edd50bc06e5

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2299b6d
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 762739e
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 7af3587
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Tue Jun 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 9ecfbb1
- updated to 2018.003

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7369d2f
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9f18792
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sat May 27 2017 Jakub Bogusz <qboosh@pld-linux.org> d8116a7
- use system sombok library
- pl
- package ja man pages according to FHS
- release 2

* Sat Apr 15 2017 Jan Rękorajski <baggins@pld-linux.org> b6b1208
- new

